Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Interconnect
KZ
    • Обзор сервиса
    • Обзор операций
    • Терминология
    • Точки присутствия
    • Трансиверы
    • Транковое подключение
    • Приватное соединение
    • Публичное соединение
    • Партнеры CIC
    • Мониторинг
    • Объемы данных и емкости подключений
    • Квоты и лимиты
  • Правила тарификации
  • Управление доступом
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • BatchGet
        • List
        • Update
        • Delete
        • ListPrivateConnections
        • ListPublicConnections
        • Move
        • ListOperations
  • История изменений

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • TrunkConnection
  • SinglePortDirectJoint
  • LagDirectJoint
  • LagAllocationSettings
  • LagInfo
  • PartnerJointInfo
  1. Справочник API
  2. REST (англ.)
  3. TrunkConnection
  4. BatchGet

Cloud Interconnect API, REST: TrunkConnection.BatchGet

Статья создана
Yandex Cloud
Обновлена 29 мая 2026 г.
  • HTTP request
  • Query parameters
  • Response
  • TrunkConnection
  • SinglePortDirectJoint
  • LagDirectJoint
  • LagAllocationSettings
  • LagInfo
  • PartnerJointInfo

HTTP requestHTTP request

GET https://cic.api.yandexcloud.kz/cic/v1/trunkConnections:batchGet

Query parametersQuery parameters

Field

Description

trunkConnectionIds[]

string

IDs of TrunkConnection resources to return.
To get the trunkConnection ID use a TrunkConnectionService.List request.

The maximum string length in characters for each value is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "trunkConnections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folderId": "string",
      "createdAt": "string",
      // Includes only one of the fields `singlePortDirectJoint`, `lagDirectJoint`, `partnerJointInfo`
      "singlePortDirectJoint": {
        "transceiverType": "string",
        "portName": "string",
        "accessDeviceName": "string"
      },
      "lagDirectJoint": {
        "transceiverType": "string",
        "lagAllocationSettings": {
          "lagInfo": {
            "portNames": [
              "string"
            ]
          }
        },
        "accessDeviceName": "string"
      },
      "partnerJointInfo": {
        "partnerId": "string",
        "serviceKey": "string"
      },
      // end of the list of possible fields
      "pointOfPresenceId": "string",
      "capacity": "string",
      "labels": "object",
      "status": "string",
      "deletionProtection": "boolean"
    }
  ]
}

Field

Description

trunkConnections[]

TrunkConnection

List of TrunkConnection resources.

TrunkConnectionTrunkConnection

A TrunkConnection resource.

Field

Description

id

string

ID of the trunkConnection.

name

string

Name of the trunkConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the trunkConnection. 0-256 characters long.

folderId

string

ID of the folder that the trunkConnection belongs to.

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

singlePortDirectJoint

SinglePortDirectJoint

Includes only one of the fields singlePortDirectJoint, lagDirectJoint, partnerJointInfo.

Special trunkConnection config

lagDirectJoint

LagDirectJoint

Includes only one of the fields singlePortDirectJoint, lagDirectJoint, partnerJointInfo.

Special trunkConnection config

partnerJointInfo

PartnerJointInfo

Includes only one of the fields singlePortDirectJoint, lagDirectJoint, partnerJointInfo.

Special trunkConnection config

pointOfPresenceId

string

ID of pointOfPresence that the trunkConnection is deployed on.

capacity

enum (Capacity)

Capacity of the trunkConnection

  • CAPACITY_50_MBPS
  • CAPACITY_100_MBPS
  • CAPACITY_200_MBPS
  • CAPACITY_300_MBPS
  • CAPACITY_400_MBPS
  • CAPACITY_500_MBPS
  • CAPACITY_1_GBPS
  • CAPACITY_2_GBPS
  • CAPACITY_3_GBPS
  • CAPACITY_4_GBPS
  • CAPACITY_5_GBPS
  • CAPACITY_10_GBPS
  • CAPACITY_20_GBPS
  • CAPACITY_30_GBPS
  • CAPACITY_40_GBPS
  • CAPACITY_50_GBPS
  • CAPACITY_100_GBPS
  • CAPACITY_200_GBPS

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum (Status)

Status of the trunkConnection.

  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

deletionProtection

boolean

Deletion protection flag.

SinglePortDirectJointSinglePortDirectJoint

Config of trunkConnection that is deployed on single port.

Field

Description

transceiverType

enum (TransceiverType)

Type of transceiver that the trunkConnection is deployed on.

  • TRANSCEIVER_TYPE_1000BASE_LX
  • TRANSCEIVER_TYPE_10GBASE_LR
  • TRANSCEIVER_TYPE_10GBASE_ER
  • TRANSCEIVER_TYPE_100GBASE_LR4
  • TRANSCEIVER_TYPE_100GBASE_ER4

portName

string

Name of port that the trunkConnection is deployed on.

accessDeviceName

string

Device name which is set in LLDP message.

LagDirectJointLagDirectJoint

Config of trunkConnection that is deployed on lag.

Field

Description

transceiverType

enum (TransceiverType)

Type of transceiver that the trunkConnection is deployed on.

  • TRANSCEIVER_TYPE_1000BASE_LX
  • TRANSCEIVER_TYPE_10GBASE_LR
  • TRANSCEIVER_TYPE_10GBASE_ER
  • TRANSCEIVER_TYPE_100GBASE_LR4
  • TRANSCEIVER_TYPE_100GBASE_ER4

lagAllocationSettings

LagAllocationSettings

LAG allocation settings that the trunkConnection is deployed on.

accessDeviceName

string

Device name which is set in LLDP message.

LagAllocationSettingsLagAllocationSettings

Structure that describes LAG allocation settings

Field

Description

lagInfo

LagInfo

LagInfo

LagInfoLagInfo

Field

Description

portNames[]

string

List of port names that the LAG is deployed on.

PartnerJointInfoPartnerJointInfo

Config of trunkConnection that is deployed on partner joint.

Field

Description

partnerId

string

ID of partner that the trunkConnection is deployed on.

serviceKey

string

Reserved for future using;

Была ли статья полезна?

Предыдущая
Get
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»